Liblinphone: linphone::ConferenceListener Class Reference

Liblinphone 5.0.0

Public Member Functions | List of all members
linphone::ConferenceListener Class Reference
Inheritance diagram for linphone::ConferenceListener:

## Public Member Functions
virtual LINPHONECXX_PUBLIC void | onParticipantAdded (const std::shared_ptr< linphone::Conference > &conference, const std::shared_ptr< const linphone::Participant > &participant)
| Callback used to notify a conference that a participant has been added. More...
virtual LINPHONECXX_PUBLIC void | onParticipantRemoved (const std::shared_ptr< linphone::Conference > &conference, const std::shared_ptr< const linphone::Participant > &participant)
| Callback used to notify a conference that a participant has been removed. More...
virtual LINPHONECXX_PUBLIC void | onParticipantDeviceAdded (const std::shared_ptr< linphone::Conference > &conference, const std::shared_ptr< const linphone::ParticipantDevice > &participantDevice)
| Callback used to notify a conference that a participant has been added. More...
virtual LINPHONECXX_PUBLIC void | onParticipantDeviceRemoved (const std::shared_ptr< linphone::Conference > &conference, const std::shared_ptr< const linphone::ParticipantDevice > &participantDevice)
| Callback used to notify a conference that a participant has been removed. More...
virtual LINPHONECXX_PUBLIC void | onParticipantAdminStatusChanged (const std::shared_ptr< linphone::Conference > &conference, const std::shared_ptr< const linphone::Participant > &participant)
| Callback used to notify a conference that the admin status of a participant has been changed. More...
virtual LINPHONECXX_PUBLIC void | onStateChanged (const std::shared_ptr< linphone::Conference > &conference, linphone::Conference::State newState)
| Callback used to notify a conference state has changed. More...
virtual LINPHONECXX_PUBLIC void | onSubjectChanged (const std::shared_ptr< linphone::Conference > &conference, const std::string &subject)
| Callback used to notify that the subject of a conference has changed. More...
virtual LINPHONECXX_PUBLIC void | onAudioDeviceChanged (const std::shared_ptr< linphone::Conference > &conference, const std::shared_ptr< const linphone::AudioDevice > &audioDevice)
| Callback used to notify that the audio device of a conference has changed. More...

## Member Function Documentation

## ◆ onAudioDeviceChanged()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onAudioDeviceChanged | ( | const std::shared_ptr< linphone::Conference > & | conference,
|  | const std::shared_ptr< const linphone::AudioDevice > & | audioDevice
| ) |  |
| inlinevirtual

Callback used to notify that the audio device of a conference has changed.

Parameters

  audioDevice | audio device of the conference

## ◆ onParticipantAdded()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onParticipantAdded | ( | const std::shared_ptr< linphone::Conference > & | conference,
|  | const std::shared_ptr< const linphone::Participant > & | participant
| ) |  |
| inlinevirtual

Callback used to notify a conference that a participant has been added.

Parameters

  participant | LinphoneParticipant that has been added to the conference

## ◆ onParticipantAdminStatusChanged()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onParticipantAdminStatusChanged | ( | const std::shared_ptr< linphone::Conference > & | conference,
|  | const std::shared_ptr< const linphone::Participant > & | participant
| ) |  |
| inlinevirtual

Callback used to notify a conference that the admin status of a participant has been changed.

Parameters

  participant | LinphoneParticipant whose admin status has changed

## ◆ onParticipantDeviceAdded()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onParticipantDeviceAdded | ( | const std::shared_ptr< linphone::Conference > & | conference,
|  | const std::shared_ptr< const linphone::ParticipantDevice > & | participantDevice
| ) |  |
| inlinevirtual

Callback used to notify a conference that a participant has been added.

Parameters

  participantDevice | LinphoneParticipantDevice that has been added to the conference

## ◆ onParticipantDeviceRemoved()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onParticipantDeviceRemoved | ( | const std::shared_ptr< linphone::Conference > & | conference,
|  | const std::shared_ptr< const linphone::ParticipantDevice > & | participantDevice
| ) |  |
| inlinevirtual

Callback used to notify a conference that a participant has been removed.

Parameters

  participantDevice | LinphoneParticipantDevice that has been removed to the conference

## ◆ onParticipantRemoved()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onParticipantRemoved | ( | const std::shared_ptr< linphone::Conference > & | conference,
|  | const std::shared_ptr< const linphone::Participant > & | participant
| ) |  |
| inlinevirtual

Callback used to notify a conference that a participant has been removed.

Parameters

  participant | LinphoneParticipant that has been removed to the conference

## ◆ onStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onStateChanged | ( | const std::shared_ptr< linphone::Conference > & | conference,
|  | linphone::Conference::State | newState
| ) |  |
| inlinevirtual

Callback used to notify a conference state has changed.

Parameters

  newState | The new state of the conference

## ◆ onSubjectChanged()

virtual LINPHONECXX_PUBLIC void linphone::ConferenceListener::onSubjectChanged | ( | const std::shared_ptr< linphone::Conference > & | conference,
|  | const std::string & | subject
| ) |  |
| inlinevirtual

Callback used to notify that the subject of a conference has changed.

Parameters

  subject | subject of the conference

The documentation for this class was generated from the following file:

- conference_listener.hh